package cn.bsystem.ptConst.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("xtbhlDao")
public class XtbhlDao  extends BaseSqlMapDAO{


	
	/**
	 * 查询总数
	 */
	public Integer count_Xtbhl(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Xtbhl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Xtbhl(Map map) throws SQLException{
		return this.queryForPage("query_Xtbhl",map);
	}
	
}
